------------------------------------------------------------
-- Game screen
------------------------------------------------------------
gameScreen = CreateScreen("gameScreen", ScreenConfig(screenSize))

gameScreen:RegisterButtonEvent(function() soundNs.PlayGlobalSnd(sndBtClick); createInLevelMenu("pause"); myChangeScreen(inLevelMenuScreen); end, "Escape", true)

-- Physic group
gameScreen:AddPhysicGroup(phGroupDesign, phGroupPlayer)
gameScreen:AddPhysicGroup(phGroupDesign, phGroupBombe)
gameScreen:AddPhysicGroup(phGroupPlayer, phGroupBombe)
gameScreen:AddPhysicGroup(phGroupPlayer, phGroupButton)

-- Cursor
gameScreen:ShowCursor(false)
gameScreen:SetMouseRelative(true)

------------------------------------------------------------
-- Render screen
------------------------------------------------------------
gameRenderScreen = CreateScreen("gameRenderScreen", ScreenConfig(screenSize))

-- Left
local tmp = gameRenderScreen:CreateGroup("screen1grp")
tmp:SetCutRect(Vector2D(0, 0), Vector2D(screenSize.x / 2, screenSize.y))
tmp:EnableCut(true)
screenLeftRenderer = tmp:CreateScreenRenderer("screen1")
screenLeftRenderer:SetTargetScreen(gameScreen)
local cfg = gameScreen:GetScreenConfig()
screenLeftRenderer:SetScreenConfig(cfg)

-- Right
local tmp = gameRenderScreen:CreateGroup("screen2grp")
tmp:SetCutRect(Vector2D(screenSize.x / 2, 0), Vector2D(screenSize.x / 2, screenSize.y))
tmp:EnableCut(true)
screenRightRenderer = tmp:CreateScreenRenderer("screen2")
screenRightRenderer:SetTargetScreen(gameScreen)
local cfg = gameScreen:GetScreenConfig()
screenRightRenderer:SetScreenConfig(cfg)

-- Separator
gameRenderScreen:CreateShapeRectangle("separator", Vector2D(screenSize.x / 2 - separatorWidth / 2, 0), Vector2D(screenSize.x / 2 + separatorWidth / 2, screenSize.y), Color(0, 0, 0), 0, Color(0, 0, 0))

-- Apply
gameScreen:SetRenderScreen(gameRenderScreen)


------------------------------------------------------------
-- Music
------------------------------------------------------------
--
--musicBase:SetVolume(50)
--musicBase:Play()

--loadLevel(gameScreen, initLevel1)




--[[function chronoFn(ratio, event)
	cfg = screenLeftRenderer:GetScreenConfig()
	cfg:CameraSetCenter(cfg:GetScreenSize() * ratio)
	screenLeftRenderer:SetScreenConfig(cfg)
	
	if ratio == 1 then
		event:Restart()
	end
end

gameScreen:RegisterChronometer(chronoFn, 2, true)]]
